MWAWChart::Legend Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWChart::Legend Struct Reference

a legend in a chart More...

`#include <MWAWChart.hxx>`

## Public Member Functions
| Legend ()
| constructor More...
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| add style to the propList More...

## Public Attributes
bool | m_show
| show or not the legend More...
bool | m_autoPosition
| automatic position More...
int | m_relativePosition
| the automatic position libmwaw::LeftBit|... More...
MWAWVec2f | m_position
| the position in points More...
MWAWFont | m_font
| the font More...
MWAWGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Legend const &legend)
| operator<< More...

## Detailed Description

a legend in a chart

## Constructor & Destructor Documentation

## ◆ Legend()

MWAWChart::Legend::Legend | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addContentTo()

void MWAWChart::Legend::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

Referenced by MWAWChart::sendChart().

## ◆ addStyleTo()

void MWAWChart::Legend::addStyleTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::shared_ptr< MWAWFontConverter > | fontConverter
| ) |  | const

add style to the propList

Referenced by MWAWChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWChart::Legend const & | legend
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_autoPosition

bool MWAWChart::Legend::m_autoPosition

automatic position

Referenced by operator<<().

## ◆ m_font

MWAWFont MWAWChart::Legend::m_font

the font

## ◆ m_position

MWAWVec2f MWAWChart::Legend::m_position

the position in points

Referenced by operator<<().

## ◆ m_relativePosition

int MWAWChart::Legend::m_relativePosition

the automatic position libmwaw::LeftBit|...

Referenced by operator<<().

## ◆ m_show

bool MWAWChart::Legend::m_show

show or not the legend

Referenced by operator<<(), BeagleWksSSParser::readChart(), and MWAWChart::sendChart().

## ◆ m_style

MWAWGraphicStyle MWAWChart::Legend::m_style

the graphic style

Referenced by operator<<().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx